# Class BadRequestException

Namespace
  adas_core.Application.Exceptions

Assembly
  adas-core.Application.dll

Represents an exception that is thrown when a bad or invalid request is received. It serves as a specialized error type derived from the base Exception class for signaling client-side request failures.

    public class BadRequestException : Exception, ISerializable

Inheritance
  object
  Exception
  BadRequestException

Implements
  ISerializable

Inherited Members
  Exception.GetBaseException()
  Exception.GetType()
  Exception.ToString()
  Exception.Data
  Exception.HelpLink
  Exception.HResult
  Exception.InnerException
  Exception.Message
  Exception.Source
  Exception.StackTrace
  Exception.TargetSite
  Exception.SerializeObjectState
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Constructors

### BadRequestException(string)

Initializes a new instance of the BadRequestException class with a specified error message.

    public BadRequestException(string message)

#### Parameters

`message` string

  The error message that describes the reason for the exception.

### BadRequestException(ErrorMessage)

Initializes a new instance of the BadRequestException class with a specified error message.

    public BadRequestException(HttpEnum.ErrorMessage message)

#### Parameters

`message` HttpEnum.ErrorMessage

  The error message defined in HttpEnum.ErrorMessage that describes the reason for the exception.